package service

// G6关系图数据 服务层接口
type IChartGraph interface {
	// SelectGroup 查询组名
	SelectGroup() []string

	// LoadData 查询所组图数据
	LoadData(rowGroup, rowType string) map[string]any

	// SaveData 添加组图数据
	SaveData(rowGroup string, data map[string]any) int64

	// DeleteGroup 删除所组图数据
	DeleteGroup(rowGroup string) int64
}
